##### basic_socket_acceptor::basic_socket_acceptor (8 of 10 overloads)

Construct a `basic_socket_acceptor` on an existing native acceptor.

    template<
        typename ExecutionContext>
    basic_socket_acceptor(
        ExecutionContext & context,
        const protocol_type & protocol,
        const native_handle_type & native_acceptor,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value >::type  = 0);

This constructor creates an acceptor object to hold an existing native acceptor.

###### Parameters

context

  An execution context which provides the I/O executor that the acceptor will use, by default, to dispatch handlers for any asynchronous operations performed on the acceptor.

protocol

  An object specifying protocol parameters to be used.

native_acceptor

  A native acceptor.

###### Exceptions

asio::system_error

  Thrown on failure.